Bug 237194 - net/xmlrpc-c 1.51.* accidentally includes trace messages, patched upstream
Summary: net/xmlrpc-c 1.51.* accidentally includes trace messages, patched upstream
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-11 07:41 UTC by Raivo Hool
Modified: 2019-04-22 12:24 UTC (History)
0 users

See Also:
garga: maintainer-feedback+
garga: merge-quarterly+


Attachments
Remove trace statements (2.33 KB, patch)
2019-04-11 07:41 UTC, Raivo Hool
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Raivo Hool 2019-04-11 07:41:37 UTC
Created attachment 203577 [details]
Remove trace statements

It appears that net/xmlrpc-c latest super stable version has accidentally included trace messages, which fill the screen with various messages, e.g. "Going to xmlrpc_createXmlrpcValue" and "Back from createXmlrpcValue" etc etc. This has apparently been patched upstream, but given the conservative or glacial pace of development, it's difficult to predict when it will be released.

The patch itself is available at https://sourceforge.net/p/xmlrpc-c/code/2981/. I have taken the liberty of making it apply cleanly under FreeBSD.
Comment 1 commit-hook freebsd_committer 2019-04-19 12:57:15 UTC
A commit references this bug:

Author: garga
Date: Fri Apr 19 12:56:54 UTC 2019
New revision: 499350
URL: https://svnweb.freebsd.org/changeset/ports/499350

Log:
  net/xmlrpc-c: Remove trace messages accidentally added on last super-stable
  version

  PR:		237194
  Submitted by:	raivo.hool@gmail.com
  Obtained from:	https://sourceforge.net/p/xmlrpc-c/code/2981/
  MFH:		2019Q2
  Sponsored by:	Rubicon Communications, LLC (Netgate)

Changes:
  head/net/xmlrpc-c/Makefile
  head/net/xmlrpc-c/files/patch-src_cpp_value.cpp
  head/net/xmlrpc-c/files/patch-src_xmlrpc__string.c
Comment 2 commit-hook freebsd_committer 2019-04-22 12:24:12 UTC
A commit references this bug:

Author: garga
Date: Mon Apr 22 12:23:11 UTC 2019
New revision: 499630
URL: https://svnweb.freebsd.org/changeset/ports/499630

Log:
  MFH: r499350

  net/xmlrpc-c: Remove trace messages accidentally added on last super-stable
  version

  PR:		237194
  Submitted by:	raivo.hool@gmail.com
  Obtained from:	https://sourceforge.net/p/xmlrpc-c/code/2981/
  Sponsored by:	Rubicon Communications, LLC (Netgate)
  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2019Q2/
  branches/2019Q2/net/xmlrpc-c/Makefile
  branches/2019Q2/net/xmlrpc-c/files/patch-src_cpp_value.cpp
  branches/2019Q2/net/xmlrpc-c/files/patch-src_xmlrpc__string.c